'listbox itemdata
'   检索列表框，指定项目关联的 32 位值。
'   hWndControl: 控件的句柄 (例如  HWND_FORM1_LISTBOX1)                  
'   nIndex:      从零开始的索引。
'   Returns:     The return value is the 32-bit value associated
'                with the string. %LB_ERR is returned if error.
Function FF_ListBox_GetItemData(ByVal hWndControl as HWnd, ByVal nIndex as Long) as Integer
  
   '检查窗口句柄是否有效
   If IsWindow(hWndControl) Then
      ''发消息给控件
      Function = SendMessage(hWndControl, LB_GETITEMDATA, nIndex, 0)
   Else
      Function = LB_ERR
   End If
   
End Function

